import React, { Component } from 'react';
export default class TagInput extends Component<any, any> {
    tagWrapper: React.RefObject<any>;
    static defaultProps: {
        choices: any[];
        tags: any[];
        canCreateTags: boolean;
        onCreateNewTag: () => void;
        placeholder: string;
        emptyTagsPlaceholder: string;
    };
    constructor(props: any);
    blinkTag: (tagId: any, duration?: number) => void;
    clearInput: (e: any) => void;
    clearSelectedTag: () => void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
